/*
 *  C Program to automatically make RMAKE file of ALL .prg's
 *
 *  Copyright 1991 American Multi-Systems
 *  539 Steffy Road
 *  Ramona, CA  92065
 *  (619) 789-2442
 *
 *  Released to public for use
 *  Please keep copyright and Messages in tact!
 */


#include <stdio.h>
#include <dir.h>

int main (int argc, char * argv[])
{
  struct ffblk ffblk;                       // File Block stuff
  int done;
  FILE *outfile;
  char linkfile[13];
  char filename[13];
  char *firstfile;

  if(argc !=2)                              // Quick & dirty error check!
      {
        printf("The syntax is 'AMSmake <Program Name>'");
      }

  printf("\n\n{c} American Multi-Systems\n");
  printf("Making LINK files for %s\n",argv[1]);

  done = findfirst("*.prg",&ffblk,0);       // Set DIRECTORY search

  strcpy(linkfile,argv[1]);                 // Set up LINK file
  strcat(linkfile,".lnk");
  outfile = fopen(linkfile,"wt");           // And open it

  fprintf(outfile,"FI %s\n",argv[1]);       // FIRST FILE!!!

  while (!done)                             // Process Directory
      {
        printf(" Processing %s            \r",ffblk.ff_name);
        strncpy(filename,ffblk.ff_name,strlen(ffblk.ff_name)-4);
        if(stricmp(filename,argv[1]) !=0 ) fprintf(outfile,"FI %s\n",filename);
        strncpy(filename,"",12);
        done = findnext(&ffblk);
      }

  fprintf(outfile,"OUT %s\n",argv[1]);      // Finish up NAMING exe
/********************************************************************/
  fprintf(outfile,"LIB vblib\n");           // Change for YOUR libs
  fprintf(outfile,"LIB tsdwin\n");
  fprintf(outfile,"LIB timer5\n");
/********************************************************************/

  fclose(outfile);                          // Clean-up

  printf("Making RMK files for %s\n",argv[1]);

  strcpy(linkfile,argv[1]);                 // Set up RMK file
  strcat(linkfile,".rmk");
  done = findfirst("*.prg",&ffblk,0);       // Set up DIRECTORY Search Again

  outfile = fopen(linkfile,"wt");           // Open RMK File

  while (!done)                             // And Process
      {
        printf(" Processing %s            \r",ffblk.ff_name);
        strncpy(filename,ffblk.ff_name,strlen(ffblk.ff_name)-4);
        fprintf(outfile,"%s.obj: %s\n",filename,ffblk.ff_name);
        fprintf(outfile,"     CLIPPER %s /n/a/w/m \n\n", ffblk.ff_name);
        strncpy(filename,"",12);
        done = findnext(&ffblk);
      }

  fprintf(outfile,"\n");
  fprintf(outfile,"\n%s.exe:",argv[1]);

  done = findfirst("*.prg",&ffblk,0);

  while (!done)
      {
        printf(" Processing %s            \r",ffblk.ff_name);
        strncpy(filename,ffblk.ff_name,strlen(ffblk.ff_name)-4);
        fprintf(outfile,"\\\n%15s.obj",filename);
        strncpy(filename,"",12);
        done = findnext(&ffblk);
       }

  fprintf(outfile,"\n     RTLINK @%s\n",argv[1]);

/*************PLEASE KEEP IN TACT***********************************/
  printf("\n\nCMAKE\n");
  printf("Copyright 1991 by\n\n");
  printf("AMERICAN MULTI-SYSTEMS\n");
  printf("539 Steffy Road\n");
  printf("Ramona, CA  92065\n");
  printf("(619) 789-2442\n\n\n");
  printf("C...Clipper...PC-MOS...Programming Aids...Multi-User...\n\n");
  printf("Wholesale & Retail Accounts Welcome!\n");
  printf("Call for Multi-User Specials\n\n");
/*******************************************************************/

  fclose(outfile);                          // Clean up
  return 0;
}